#
# spec file for package xmanja
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           xmanja
Version:        0.7
Release:        bp155.2.9
Summary:        Japanese online manuals for X11
License:        MIT
Group:          Documentation/Man
Summary(ja):  XFree86 のオンラインマニュアル、 日本語版
Url:            http://xjman.dsl.gr.jp/
Source0:        http://xjman.dsl.gr.jp/dist/xjman-0.7.tar.bz2
Source1:        license.txt
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
Provides:       locale(xorg-x11:ja)
# %description -l ja
# XFree86 のオンラインマニュアル、 日本語版

%description
Japanese online manuals for X11



Authors:
--------
    X Japanese Documentation Project <xjman-ml@dsl.gr.jp>

%prep
%setup -qn xjman

%build
cp %{SOURCE1} license.txt

%install
for i in man? ; do
  mkdir -p $RPM_BUILD_ROOT/usr/share/man/ja/$i
  install -m 644 $i/* $RPM_BUILD_ROOT/usr/share/man/ja/$i
done
# install Japanese WindowMaker man-pages in /usr/share/man
# because that's where the English ones are
mkdir -p $RPM_BUILD_ROOT/usr/share/man/ja/man1/
install -m 644 non-xfree86/WindowMaker/*.1x $RPM_BUILD_ROOT/usr/share/man/ja/man1/
# conflicts with man-pages-ja package:
rm $RPM_BUILD_ROOT/usr/share/man/ja/man4/mouse.4*

%files
%defattr(-,root,root)
%doc README license.txt ChangeLog
%dir /usr/share/man/ja/
%doc /usr/share/man/ja/*

%changelog
* Tue Oct 14 2014 jengelh@inai.de
- Remove ancient specfile tags and sections
* Mon Jan 29 2007 mfabian@suse.de
- remove /usr/share/man/ja/man4/mouse.4.gz because it conflicts
  with the man-pages-ja package.
* Thu Jan 25 2007 sndirsch@suse.de
- move from /usr/X11R6 to /usr
* Tue Feb 28 2006 mfabian@suse.de
- add "Provides: locale(xorg-x11:ja)".
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Feb  4 2004 hmacht@suse.de
- added option # norootforbuild in specfile
* Fri Jun 13 2003 mfabian@suse.de
- fix "directory now owned by any package".
* Fri Mar 15 2002 mfabian@suse.de
- update to 0.7 (covers XFree86 4.1.0. previous version was for
  XFree86 3.3.6)
* Fri Aug 11 2000 mfabian@suse.de
- new package xmanja-0.5
